Bug 865926 - Gluster/Swift plugin reads /etc/swift/swift.conf and /etc/swift/fs.conf for every Swift REST API call
Gluster/Swift plugin reads /etc/swift/swift.conf and /etc/swift/fs.conf for e...
Status: MODIFIED
Product: Gluster-Swift
Classification: Community
Component: object-server (Show other bugs)
0.1
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Peter Portante
:
Depends On:
Blocks: 903396 978061
  Show dependency treegraph
 
Reported: 2012-10-12 16:25 EDT by Peter Portante
Modified: 2017-01-26 21:56 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Portante 2012-10-12 16:25:05 EDT
Description of problem:

Every Swift REST API call ends up opening the /etc/swift/swift.conf file and the /etc/swift/fs.conf file (twice) to check configuration parameters. This is wasted time and effort when servicing requests.

Version-Release number of selected component (if applicable):

RHS 2.0 (3.3.0)

How reproducible:

Very.

Steps to Reproduce:
1. strace all swift processes via:
   strace -tt -f $(pgrep swift | awk '{printf("-p %s ", $0)}')
2. grep output for /etc/swift
3. count references to conf files
  
Actual results:

  1 open of swift.conf for every request
  2 opens of fs.conf for every request

Expected results:

  Both swift.conf and fs.conf should only be opened during initial startup
  of the app servers.

Additional info:

This problem is fixed by commit: I9b25d6e99521b925952d2fc5086ad19fd59d08ee
Comment 1 Peter Portante 2012-10-19 11:29:38 EDT
CHANGE: http://review.gluster.org/4093 (object-storage: Refactor code to reduce Swift diffs carried) merged in master by Anand Avati (avati@redhat.com)
Comment 2 Peter Portante 2013-02-15 00:06:24 EST
CORRECTION - this bug was fixed by:

https://github.com/gluster/glusterfs/commit/b0cb7aaf04eff033a329e017a8628c84a62e33cd

CHANGE: http://review.gluster.org/4141 (object-storage: remove glusterfs filter requirement) merged in master by Vijay Bellur (vbellur@redhat.com)

Note You need to log in before you can comment on or make changes to this bug.